﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Tsi1.BusinessLayer.Helpers;
using Tsi1.DataLayer.Entities;

namespace Tsi1.BusinessLayer.Interfaces
{
    public interface IChatService
    {
        Task<Group> GetGroupByName(string groupName);

        Task<ServiceResult<bool>> CreateGroup(string groupName, string connectionId, int userId);

        Task<bool> RemoveConnectionFromGroup(string connectionId);
    }
}
