﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Tsi1.BusinessLayer.Dtos;
using Tsi1.BusinessLayer.Helpers;

namespace Tsi1.BusinessLayer.Interfaces
{
    public interface ICommunicationService
    {
        Task<ServiceResult<bool>> Create(CommunicationCreateDto newCommunication, int id);

        Task<ServiceResult<bool>> Delete(int communicationId);

        Task<ServiceResult<List<CommunicationPreviewDto>>> GetMyCommunications(int userId);

        Task<ServiceResult<bool>> TenantValidation(int tenantId, int courseId);
    }
}
